function dataApprox = evaluateUnifyingProjection(caseNameOriginal, approxCaseName)

zerotol = 1e-6;

%% load data
[result pbeDef] = loadLocalPbeResult(caseNameOriginal);
dataApprox = load(['database' filesep approxCaseName '.matx'], '-mat');
dataApprox = dataApprox.dataApprox;

%% generate coordinates

% read out to single matrix
dataOriginal = readResultData(result, pbeDef);
heMatrixOriginal = mapToExtendedEmbedding(dataOriginal.hcMatrix, dataApprox.decExt);
heMatrixProjected = projectVectorDec(heMatrixOriginal, dataApprox.dec);

%% print coordinate time evolution
printTimeEvolution(dataOriginal.timeVector, heMatrixProjected, ...
    heMatrixOriginal)
title('projection')

%% print measure evolution
measMatrixOriginal = computeMeasureDec(dataApprox.dec.properData, 'hC', heMatrixOriginal, ...
    {'volume', 'surface', 'meanWidth'}, zerotol, [], 1);
measMatrixProjected = computeMeasureDec(dataApprox.dec.properData, 'hC', heMatrixProjected, ...
    {'volume', 'surface', 'meanWidth'}, zerotol, [], 1);
printTimeEvolution(dataOriginal.timeVector, measMatrixProjected, ...
    measMatrixOriginal, {'volume', 'surface', 'meanWidth'})
title('projection')

